Index: /pom.xml
===================================================================
--- /pom.xml	(revision 9)
+++ /pom.xml	(revision 10)
@@ -6,5 +6,5 @@
 	<artifactId>runserver</artifactId>
 	<packaging>war</packaging>
-	<version>1.2.0</version>
+	<version>1.3.0</version>
 	<name>runserver Maven Webapp</name>
 	<url>http://maven.apache.org</url>
Index: /src/main/java/geniusweb/runserver/RunNego.java
===================================================================
--- /src/main/java/geniusweb/runserver/RunNego.java	(revision 9)
+++ /src/main/java/geniusweb/runserver/RunNego.java	(revision 10)
@@ -38,14 +38,8 @@
 	/**
 	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
-	 *      response). Returns
-	 *      <ul>
-	 *      <li>URL with websocket address to contact the now running party.
-	 *      <li>SC_NOT_FOUND (404) if attempt is made to access non-running
-	 *      party.
-	 *      <li>SC_SERVICE_UNAVAILABLE (503) if there are no free slots to run
-	 *      the party.
-	 *      <li>SC_EXPECTATION_FAILED (417) if something else goes wrong during
-	 *      instantiating the party (then see logs for more details)
-	 *      </ul>
+	 *      response).
+	 * 
+	 * @return the ID of the new started run. Or SC_BAD_REQUEST if the request
+	 *         can not be processed.
 	 */
 	@Override
@@ -65,11 +59,11 @@
 		}
 		log.log(Level.INFO, "request to run Nego: " + settings);
-		RunningNego session = new RunningNego(settings,
+		RunningNego running = new RunningNego(settings,
 				RunningNegotiationsRepo.instance(), log);
-		session.start();
+		running.start();
 		// set content type to prevent some browsers
 		// trying to parse this (eg as XML)
 		response.setContentType("application/json");
-		response.getWriter().append(session.getID());
+		response.getWriter().append(running.getID());
 	}
 
Index: /src/main/webapp/newsession.xhtml
===================================================================
--- /src/main/webapp/newsession.xhtml	(revision 9)
+++ /src/main/webapp/newsession.xhtml	(revision 10)
@@ -29,5 +29,5 @@
 	<br /> Domain/Profile Server:
 	<input type="url" name="url" id="profilesserverurl"
-		value="localhost:8080/profilesserver-1.2.0"
+		value="localhost:8080/profilesserver-1.3.0"
 		pattern=".*:[0-9]+/profilesserver" size="30"
 		onchange="connectDomain()"> </input>
@@ -43,5 +43,5 @@
 		<br /> <b>Participants</b> <br /> Parties Server: <input type="url"
 			name="url" id="partiesserverurl"
-			value="localhost:8080/partiesserver-1.2.0"
+			value="localhost:8080/partiesserver-1.3.0"
 			pattern=".*:[0-9]+/partiesserver" size="30"
 			onchange="connectParties()"> </input> <br /> <br /> <b>Party
@@ -273,8 +273,8 @@
 	 refresh table: copy all parties elements in there.
 	 Typically parties is something like
-	 [{"uri":"http:130.161.180.1:8080/partiesserver/run/randomparty-1.2.0",
+	 [{"uri":"http:130.161.180.1:8080/partiesserver/run/randomparty-1.3.0",
 		 "capabilities":{"protocols":["SAOP"]},
 		 "description":"places random bids until it can accept an offer with utility >0.6",
-		 "id":"randomparty-1.2.0",
+		 "id":"randomparty-1.3.0",
 		 "partyClass":"geniusweb.exampleparties.randomparty.RandomParty"},
 		 		 ...]
@@ -571,6 +571,6 @@
 	function init() {
 		selectProtocol();
-		document.getElementById("partiesserverurl").value =window.location.hostname+":8080/partiesserver-1.2.0"
-		document.getElementById("profilesserverurl").value =window.location.hostname+":8080/profilesserver-1.2.0"
+		document.getElementById("partiesserverurl").value =window.location.hostname+":8080/partiesserver-1.3.0"
+		document.getElementById("profilesserverurl").value =window.location.hostname+":8080/profilesserver-1.3.0"
 		connectDomain();
 		connectParties();
Index: /src/main/webapp/newtournament.xhtml
===================================================================
--- /src/main/webapp/newtournament.xhtml	(revision 9)
+++ /src/main/webapp/newtournament.xhtml	(revision 10)
@@ -47,5 +47,5 @@
 	<div id="box" class="box">
 		<br /> Domain/Profile Server: <input type="url" name="url"
-			id="profilesserverurl" value="localhost:8080/profilesserver-1.2.0"
+			id="profilesserverurl" value="localhost:8080/profilesserver-1.3.0"
 			pattern=".*:[0-9]+/profilesserver" size="30"
 			onchange="connectDomain()"> </input> <br /> Domain: <select
@@ -76,5 +76,5 @@
 	<div id="box" class="box">
 		<br /> Parties Server: <input type="url" name="url"
-			id="partiesserverurl" value="localhost:8080/partiesserver-1.2.0"
+			id="partiesserverurl" value="localhost:8080/partiesserver-1.3.0"
 			pattern=".*:[0-9]+/partiesserver" size="30"
 			onchange="connectParties()"> </input> <br /> <br />
@@ -423,6 +423,6 @@
 	*/
 	function init() {
-		document.getElementById("partiesserverurl").value =window.location.hostname+":8080/partiesserver-1.2.0";
-		document.getElementById("profilesserverurl").value =window.location.hostname+":8080/profilesserver-1.2.0";
+		document.getElementById("partiesserverurl").value =window.location.hostname+":8080/partiesserver-1.3.0";
+		document.getElementById("profilesserverurl").value =window.location.hostname+":8080/profilesserver-1.3.0";
 
 
Index: /src/main/webapp/plotlog.xhtml
===================================================================
--- /src/main/webapp/plotlog.xhtml	(revision 9)
+++ /src/main/webapp/plotlog.xhtml	(revision 10)
@@ -93,5 +93,5 @@
         	var profs=json['partyprofiles'];
         	for (var party in profs) {
-        		partyprofiles[party]=profs[party]['profile'];
+        		partyprofiles[party]=profs[party]['profile'].split('?',1)[0]; // hacky, remove complete query.
         	}
         	
